Print

Print


Robin Fairbairns writes:

 > > well, what a good point. only problem is that many such things
 > > are. when i started my private survey i even found document styles for
 > > version 2.08 on CTAN and i bet they are still there.
 >
 > It's a great pity that you didn't tell us about this stuff!  We do
 > have an area for "this is totally unusable in present circumstances",
 > even if it wasn't felt reasonable to delete the thing.

well i did back then as i was interested to get the 209 dir cleaned
out but there wasn't too much interest (and i didn't had too much time
either)

that was back end of 95 after i got the DANTE CTAN book and is based
on that CD

anyway i found the document, it is 39 pages long and contains about
300 or more packages most of them classified (somehow) and with
comments

even though it is most likely in many respects out of date it might be
a good starting point.

but before i give it to somebody i better check that it doesn't contain
rude remarks as it was first of all a private collection (like saying
that i don't like the concepts used in some oldstyle package by some
R. Fairbairns :-)

 > > there are reasons for keeping at least some of those in 5 nevertheless
 > >
 > >   a) might be 2.09
 > >   b) we might keep the work as eventually somebody might upgrade them
 > >   c) historians might welcome it :-)
 >
 > I can (just about) understand the reasoning that says we keep 2.09-
 > only stuff.  Personally, I would move it all to the obsolete tree --
 > (b) is justification for keeping it, I suppose.
 >
 > My take is that CTAN is _not_ an historical archive, and that (c) is
 > an irrelevance.

b) is the major reasoning for me. i do agree with C not being relevant
that's why i added :-) there.

 > > what i wanted 5 for is stuff that fails with 2e --- no further check
 >
 > What _we_ (CTAN) want is to prune out useless stuff. It would be
 > _really_ nice to reverse  the present monotonic increase in CTAN's
 > size ;-)

fine with me, question is how far do you go? in my comments in that
classification i have written at one point, "package does not fit the
latex model" which was supposed to mean that i don't want people to
use it as it would most certainly conflict with about everything else
(and thus produce problems for all maintainers). note that particular
package was (is?) in 2e/supported. so what do you do about such ones?


frank